//
//  QGImageWell.h
//  Flow Test
//
//  Created by Matthew McCowan on 4/24/07.
//  Copyright 2007 Quickgigs, Inc.. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QuartzCore/QuartzCore.h>

@interface QGImageWell : NSImageView 
{
	CIImage *coreImage;
	CGRect   imageBounds;
}

// Initialization
- (void) initProperties;

// Properties
- (CIImage *) coreImage;
- (void) setCoreImage:(NSImage *)image;

- (CGRect) coreBounds;

@end
